Subject: Re: not updating unwritable cache ../config.cache
From: "Kai Henningsen" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Oct 1999 10:51:16 +0200

On 5 Oct 99, at 20:51, Corinna Vinschen wrote:

> Use mkpasswd and mkgroup to create /etc/passwd and /etc/group files.
> In the current snapshots, the following rules are important:
> 
> - Dont use user and/or group names that are different from the
>   NT account names.
>   Ever:  administrators::544:
>   Never: admins::544:
> - Typically, group 513 is your primary group. This is `None' outside
>   and `Domain Users' inside of NT domains.
>   The primary group membership isn't important for `ntsec', so you
>   may change your group entry in /etc/passwd to, e.g., administrators
>   group:
> 
> 	kai::1000:544:Kai Henningsen:/home/kai:/bin/sh

Supplementary groups don't work, right? (Just making sure I 
understand what's going on.)

Anyway, given that NT doesn't quite seem to see a difference 
between user and group ids (Novell is similar, incidentally), I 
decided 

	mkdir /etc
	cd /etc
	( mkpasswd -l -g ; mkgroup -l ) | sort -n -t: +2 > common
	ln common passwd
	ln common group

was the way to go here.

Using the 19990929 cygwin1.dll, this seems to work now. Thanks!

One more question: I see directories getting the other t bit set. 
What does this mean?

> When you try `ntsec' you will see that this problem is gone.
> Maybe, you get other ones... but I'm working hard in making
> `ntsec' better.

Thanks again!

Regards - Kai Henningsen

-- 
http://www.cats.ms
Spuentrup CTI       Fon: +49 251 322311 0  
Windbreede 12       Fax: +49 251 322311 99
D-48157 Münster     Mob: +49 161 3223111
Germany             GSM: +49 171 7755060

--
Want to unsubscribe from this list?
Send a message to [email-masked]